<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/21/2009 *
 * ===================                          Last change: 10/21/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_menu.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Configuration                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellungen                                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Set all entries
	foreach (array('guest_menu_advert_enabled','member_menu_advert_enabled') as $entry) {
		$content[$entry . '_y'] = '';
		$content[$entry . '_n'] = '';
		$content[$entry . '_' . strtolower(getConfig($entry))] = ' checked="checked"';
	} // END - if

	// Load form template
	loadTemplate('admin_config_menu', false, $content);
}

// [EOF]
?>
